EUARE-OIDCPROVIDERCREATE(1)

NAME
euare-oidcprovidercreate - Create a new OpenID Connect provider

SYNOPSIS
euare-oidcprovidercreate [-c CLIENT] [-t HEX] [--as-account ACCOUNT]

[-U URL] [--region USER@REGION] [-I KEY_ID]
    [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] URL

DESCRIPTION
Create a new OpenID Connect provider

  positional arguments:

URL the URL for the new provider (required)

  optional arguments:

-c CLIENT, --client-id CLIENT
    a client ID, or audience, for the new provider

-t HEX, --thumbprint HEX
    the SHA-1 thumbprint of the new OpenID Connect provider's certificate. If one is not supplied this command will attempt to connect to the server to determine it automatically.

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit